Package org.w3c.tidy

# Class IStack

java.lang.Object
org.w3c.tidy.IStack

public class IStack extends Object
Inline stack node.

Mosaic handles inlines via a separate stack from other elements We duplicate this to recover from inline markup errors such as: <i>italic text <p> more italic text</b> normal text which for compatibility with Mosaic is mapped to: <i>italic text</i> <p> <i>more italic text</i> normal text Note that any inline end tag pop's the effect of the current inline start tag, so that</b> pop's <i>in the above example.

Version:
  $Revision: 587 $ ($Author: fgiust $)
Author:
  Dave Raggett dsr@w3.org , Andy Quick ac.quick@sympatico.ca (translation to Java), Fabrizio Giustina

## Field Summary

Fields
Modifier and Type
Field
Description
`protected AttVal`
`attributes`
Attributes.
`protected String`
`element`
name (null for text nodes).
`protected IStack`
`next`
Next element in the stack.
`protected Dict`
`tag`
tag's dictionary definition.

## Constructor Summary

Constructors
Constructor
Description
`IStack()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### next

protected IStack next
Next element in the stack.

### tag

protected Dict tag
tag's dictionary definition.

### element

protected String element
name (null for text nodes).

### attributes

protected AttVal attributes
Attributes.

## Constructor Details

### IStack

public IStack()